apiVersion: logstash.k8s.elastic.co/v1alpha1
kind: Logstash
metadata:
  name: ls
  namespace: svc-elasticsearch
spec:
  count: 2
  elasticsearchRefs:
    - name: es
      clusterName: es
  version: 8.12.1
  volumeClaimTemplates:
  - metadata:
      name: logstash-data
    spec:
      accessModes:
        - ReadWriteOnce
      resources:
        requests:
          storage: 2Gi
      storageClassName: local-path
  pipelines:
    - pipeline.id: main
      config.string: |
        input {
          beats {
            port => 5044
          }
        }
        output {
          elasticsearch {
            hosts => [ "${QS_ES_HOSTS}" ]
            user => "${QS_ES_USER}"
            password => "${QS_ES_PASSWORD}"
            ssl_certificate_authorities => "${QS_ES_SSL_CERTIFICATE_AUTHORITY}"
          }
        }
  services:
    - name: beats
      service:
        spec:
          type: LoadBalancer
          ports:
            - port: 5044
              name: "filebeat"
              protocol: TCP
              targetPort: 5044
